View Issue Details

IDProjectCategoryView StatusLast Update
0003616GNUnetATS servicepublic2018-06-07 00:25
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynormalSeveritytrivialReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003616: ATS scheduling API's "address_get_type" functions do not belong
DescriptionThe GNUNET_ATS_address_get_type functionality is currently part of ats_api_scheduling.c, but the entire associated logic is orthogonal and doesn't really deal with talking to the ATS service.

Hence it should be moved, if not into an entirely different library it should at least be separated from 'struct GNUNET_ATS_SchedulingHandle' into a separate C file with a separate 'struct' to manage the associated state.
TagsNo tags attached.

Activities

Christian Grothoff

2015-02-11 19:59

manager   ~0008871

Was separated out into a separate handle/API.

Issue History

Date Modified Username Field Change
2015-01-22 23:24 Christian Grothoff New Issue
2015-01-22 23:24 Christian Grothoff Status new => assigned
2015-01-22 23:24 Christian Grothoff Assigned To => Matthias Wachs
2015-02-11 19:59 Christian Grothoff Note Added: 0008871
2015-02-11 19:59 Christian Grothoff Status assigned => resolved
2015-02-11 19:59 Christian Grothoff Fixed in Version => 0.11.0pre66
2015-02-11 19:59 Christian Grothoff Resolution open => fixed
2015-02-11 19:59 Christian Grothoff Assigned To Matthias Wachs => Christian Grothoff
2015-02-11 19:59 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed